Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452511 - [net-snmp] net-snmp package doesn't implement the following OID items : 1.3.6.1.2.1.4.31.1.1.5 , 1.3.6.1.2.1.4.31.1.1.32 in "RFC4293 IP-MIB IP Statistics Table" and 1.3.6.1.2.1.4.35.1.5 in "RFC4293 Internet Address Translation Table"
Summary: [net-snmp] net-snmp package doesn't implement the following OID items : 1.3.6...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 14:11 UTC by Zhiyong Wu
Modified: 2009-11-02 12:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-02 12:20:47 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Zhiyong Wu 2008-06-23 14:11:23 UTC
Description of problem:

  when doing snmpv2c testing, it seems that net-snmp doesnt implement the
following mib oid items:

(1) 1.3.6.1.2.1.4.31.1.1.5

ipSystemStatsInOctets Object Information
Object Name 	ipSystemStatsInOctets
Full OID 	1.3.6.1.2.1.4.31.1.1.5
Full Path 
iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).ip(4).ipTrafficStats(31).ipSystemStatsTable(1).ipSystemStatsEntry(1).ipSystemStatsInOctets(5)
Syntax 	COUNTER
MAX-Access 	ReadOnly

[root@IPV6testee Desktop]# snmpwalk -v2c -c public
udp6:[3ffe:501:ffff:100::10]:161 .1.3.6.1.2.1.4.31.1.1.5
IP-MIB::ipSystemStatsInOctets = No Such Instance currently exists at this OID


(2) 1.3.6.1.2.1.4.31.1.1.32

Object Name 	ipSystemStatsOutOctets
Full OID 	1.3.6.1.2.1.4.31.1.1.32
Full Path 
iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).ip(4).ipTrafficStats(31).ipSystemStatsTable(1).ipSystemStatsEntry(1).ipSystemStatsOutOctets(32)
Syntax 	COUNTER
MAX-Access 	ReadOnly

[root@IPV6testee Desktop]# snmpwalk -v2c -c public
udp6:[3ffe:501:ffff:100::10]:161 .1.3.6.1.2.1.4.31.1.1.32
IP-MIB::ipSystemStatsOutOctets = No Such Instance currently exists at this OID

(3) 1.3.6.1.2.1.4.35.1.5

Object Name 	ipNetToPhysicalLastUpdated
Full OID 	1.3.6.1.2.1.4.35.1.5
Full Path 
iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).ip(4).ipNetToPhysicalTable(35).ipNetToPhysicalEntry(1).ipNetToPhysicalLastUpdated(5)
Syntax 	TimeStamp
MAX-Access 	ReadOnly

[root@IPV6testee Desktop]# snmpwalk -v2c -c public
udp6:[3ffe:501:ffff:100::10]:161 .1.3.6.1.2.1.4.35.1.5
IP-MIB::ipNetToPhysicalLastUpdated = No Such Instance currently exists at this OID


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

for further information, pls refer to 

http://focus.bne.redhat.com/~zwu/RHEL5.2-Server-20080430.0/20080613/ct-snmpv2c-ag-0.9.0a/MIB/index.html

Comment 1 Jan Safranek 2008-06-23 15:00:55 UTC
ipSystemStatsInOctets, ipSystemStatsOutOctets: I miss necessary support in
kernel (see bug #293041)

ipNetToPhysicalLastUpdated: net-snmp can only guess, when an interface gets
created/changed by periodical polling of all interfaces, therefore it would be
not precise (let's say +/- 15-30 seconds) or it would have impact on performance
 (poll the interfaces often). Therefore we* agreed not to implement it.

*) "we" means me + implementors of ipNetToPhysicalTable, Mitsuru Chinen and/or
Varun Chandramohan@IBM. Here is mail from Varun where we were discussing it:

> ipNetToPhysicalLastUpdated is the only one which could be computed by
> net-snmp, but it would require to read the ARP table/neighbor cache
> quite often to get exact value or have the value with ± few
> (dozens?) seconds precision, which is pretty useless for this kind of
> table. So I have decided not to implement it for now.

For a complete list what's missing in RHEL 5.2, you can look at
http://intranet.corp.redhat.com/ic/intranet/IPv6IPMIB.html - net-snmp does not
implement everything what has red 'Error' in net-snmp column.

Unless you want me to implement ipNetToPhysicalLastUpdated with low precision,
I'd close this bug.

Comment 2 Red Hat Bugzilla 2008-07-08 01:24:53 UTC
Adding yshao@redhat.com to the cc list as the manager of the disabled user zwu@redhat.com who reported this bug

Comment 3 Jan Safranek 2008-07-08 07:04:52 UTC
shifting needinfo to yshao@redhat.com...

Comment 4 Jan Safranek 2009-11-02 12:20:47 UTC
ipNetToPhysicalLastUpdated has been fixed in RHBA-2009:8635.


Note You need to log in before you can comment on or make changes to this bug.